## GtkCheckButton

GtkCheckButton — Create widgets with a discrete toggle button

## Functions

GtkWidget * | gtk_check_button_new ()
GtkWidget * | gtk_check_button_new_with_label ()
GtkWidget * | gtk_check_button_new_with_mnemonic ()

## Style Properties

gint | indicator-size | Read
gint | indicator-spacing | Read

## Types and Values

struct | GtkCheckButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── GtkToggleButton
                                ╰── GtkCheckButton
                                    ╰── GtkRadioButton

## Implemented Interfaces

GtkCheckButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkCheckButton places a discrete GtkToggleButton next to a widget, (usually a GtkLabel). See the section on GtkToggleButton widgets for more information about toggle/check buttons.

The important signal ( “toggled” ) is also inherited from GtkToggleButton.

## Functions

### gtk_check_button_new ()

    GtkWidget *
    gtk_check_button_new (void);

Creates a new GtkCheckButton.

#### Returns

a GtkWidget.

### gtk_check_button_new_with_label ()

    GtkWidget *
    gtk_check_button_new_with_label (const gchar *label);

Creates a new GtkCheckButton with a GtkLabel to the right of it.

#### Parameters

label | the text for the check button. |

#### Returns

a GtkWidget.

### gtk_check_button_new_with_mnemonic ()

    GtkWidget *
    gtk_check_button_new_with_mnemonic (const gchar *label);

Creates a new GtkCheckButton containing a label. The label will be created using `gtk_label_new_with_mnemonic()`, so underscores in `label` indicate the mnemonic for the check button.

#### Parameters

label | The text of the button, with an underscore in front of the mnemonic character |

#### Returns

a new GtkCheckButton

## Types and Values

### struct GtkCheckButton

    struct GtkCheckButton;

## Style Property Details

### The `“indicator-size”` style property

      “indicator-size”           gint

Size of check or radio indicator.

Flags: Read

Allowed values: >= 0

Default value: 16

### The `“indicator-spacing”` style property

      “indicator-spacing”        gint

Spacing around check or radio indicator.

Flags: Read

Allowed values: >= 0

Default value: 2

## See Also

GtkCheckMenuItem, GtkButton, GtkToggleButton, GtkRadioButton